<?php
$page_title = 'All Groups';
require_once('includes/load.php');

// Check what level of permission the user has to view this page
page_require_level(1);

// Fetch all user groups
$all_groups = find_all('user_groups');
?>
<?php include_once('layouts/header.php'); ?>

<div class="row">
    <div class="col-md-12">
        <?php echo display_msg($msg); ?>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <strong>
                    <span class="glyphicon glyphicon-th"></span>
                    <span>Groups</span>
                </strong>
                <a href="add_group.php" class="btn btn-info pull-right btn-sm">Add New Group</a>
            </div>
            <div class="panel-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th class="text-center" style="width: 50px;">#</th>
                            <th>Group Name</th>
                            <th class="text-center" style="width: 20%;">Group Level</th>
                            <th class="text-center" style="width: 15%;">Status</th>
                            <th class="text-center" style="width: 100px;">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if (!empty($all_groups)): ?>
                            <?php foreach ($all_groups as $a_group): ?>
                                <tr>
                                    <td class="text-center"><?php echo count_id(); ?></td>
                                    <td><?php echo remove_junk(ucwords($a_group['group_name'])); ?></td>
                                    <td class="text-center"><?php echo remove_junk($a_group['group_level']); ?></td>
                                    <td class="text-center">
                                        <?php if ($a_group['group_status'] === '1'): ?>
                                            <span class="label label-success">Active</span>
                                        <?php else: ?>
                                            <span class="label label-danger">Inactive</span>
                                        <?php endif; ?>
                                    </td>
                                    <td class="text-center">
                                        <div class="btn-group">
                                            <a href="edit_group.php?id=<?php echo (int)$a_group['id']; ?>" 
                                               class="btn btn-xs btn-warning" 
                                               data-toggle="tooltip" 
                                               title="Edit">
                                                <i class="glyphicon glyphicon-pencil"></i>
                                            </a>
                                            <a href="delete_group.php?id=<?php echo (int)$a_group['id']; ?>" 
                                               class="btn btn-xs btn-danger" 
                                               data-toggle="tooltip" 
                                               title="Remove" 
                                               onclick="return confirm('Are you sure you want to delete this group?');">
                                                <i class="glyphicon glyphicon-remove"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        <?php else: ?>
                            <tr>
                                <td colspan="5" class="text-center">No groups found</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<?php include_once('layouts/footer.php'); ?>
